/*  记录日志
 归属：企通前端平台-FC V2.0
 版权：2017-2020 企通软件技术有限公司
 --------------------------------------------------------------------------------
 作者：wangz                           创建日期：2017/03/29
 
 --------------------------------------------------------------------------------
 修改：                               修改日期：
 修改内容
 
 
 --------------------------------------------------------------------------------
 
 *******************************************************************************/


const eventInFlag = true;

var sgiLogger = {

    Level: {
        "error": 3,
        "warn": 2,
        "info": 1,
        "debug": 0
    },
    setEnabled: function () {

    },
    eventin: function (eventName) {
        if (eventInFlag) {
            console.log(eventName);
        }
    },
    info: function (msg) {
        console.log(msg);
    },
    debug: function (msg) {
        console.log(msg);
    },
    warn: function (msg) {
        console.warn(msg);
    },
    error: function (error) {
        console.error(error.message);
        console.error(error.stack)
    }
}


export { sgiLogger };