
const AllCompGUID = {
    //UI部分
    UCV: "EP_EO_UI_0001",
    WV: "EP_EO_UI_4002",
    DU: "EP_EO_UI_4003",
    PANEL: "EP_EO_UI_4001",
    SPLITTER: "EP_EO_UI_4101",
    TAB: "EP_EO_UI_4102",
    CARD: "EP_EO_UI_4103",
    ACCORDION: "EP_EO_UI_4104",
    FIELDSET: "EP_EO_UI_4105",
    NEST: "EP_EO_UI_4106",
    MENU: "EP_EO_UI_4004",
    //TPL : "EP_EO_UI_4107",

    LABEL: "EP_EO_UI_3002",
    BUTTON: "EP_EO_UI_3003",
    IMG: "EP_EO_UI_3004",
    ICON: "EP_EO_UI_3005",
    PROGRESSBAR: "EP_EO_UI_3006",
    TREE: "EP_EO_UI_3007",
    TABLE: "EP_EO_UI_3008",
    AMOUNTTEXT: "EP_EO_UI_3009",
    MONETARYTEXT: "EP_EO_UI_3009",
    TOOLBAR: "EP_EO_UI_3010",
    POPUI: "EP_EO_UI_3011",
    EDITOR: "EP_EO_UI_3012",
    STATBUTTON: "EP_EO_UI_3013",
    STEP: "EP_EO_UI_3015",
    TBFILL: "EP_EO_UI_3016",

    //表单组件
    FIELDTEXT: "EP_EO_UI_3101",
    TEXTAREA: "EP_EO_UI_3102",
    FILE: "EP_EO_UI_3103",
    NUMBER: "EP_EO_UI_3104",
    TIME: "EP_EO_UI_3105",
    DATE: "EP_EO_UI_3106",
    COMBOBOX: "EP_EO_UI_3107",
    COMBOXTREE: 'EP_EO_NUI_0001',
    COMBOXGRID: 'EP_EO_NUI_0002',
    CHECKBOXGROUP: "EP_EO_UI_3108",
    RADIOGROUP: "EP_EO_UI_3109",
    CHECKBOX: "EP_EO_UI_3110",
    COLOR: "EP_EO_UI_3111",
    FONT: "EP_EO_UI_3112",
    PASSWORD: "EP_EO_UI_3113",
    EDITORAREA: "EP_EO_UI_3114",
    FIELDDISPLAY: "EP_EO_UI_3115",
    COMPONENT: "EP_EO_UI_3116",
    CONTAINER: "EP_EO_UI_3117",
    UPLOADFILE: "EP_EO_UI_3118",
    MONETARY2TEXT: "EP_EO_UI_3119",
    LINE: "EP_EO_UI_7001",
    AREA: "EP_EO_UI_7002",
    BAR: "EP_EO_UI_7003",
    SCATTER: "EP_EO_UI_7004",
    PIE: "EP_EO_UI_7005",
    GAUGE: "EP_EO_UI_7006",
    RADAR: "EP_EO_UI_7007",
    /***add by zuan ***/
    LIST: "EP_EO_UI_4107",
    AUDIO: "EP_EO_UI_4108",
    VIDEO: "EP_EO_UI_4109",
    CAROUSEL: "EP_EO_UI_4110",
    NESTEDLIST: "EP_EO_UI_4111",    //嵌套列表控件
    EMAIL: "EP_EO_UI_4112",   //email地址
    SEARCH: "EP_EO_UI_4113",   //搜索控件
    TOGGLE: "EP_EO_UI_4114",    //切换控件
    DVPANEL: "EP_EO_UI_3014",  //DVpanel控件
    FLOATWINDOW: "EP_EO_UI_3120",  //浮动窗口
    PASSWORDSTRENGTH: "EP_EO_UI_3121",  //密码强度控件
    ITEM: "EP_EO_UI_6004",//菜单项
    DIVCOMBOBOX: "EP_EO_NUI_0003",//自定义下拉窗

    //布局
    LT_COLUMN: "EP_EO_UI_5001",
    LT_FIT: "EP_EO_UI_5002",
    LT_TABLE: "EP_EO_UI_5003",
    LT_VBOX: "EP_EO_UI_5004",
    LT_HBOX: "EP_EO_UI_5005",
    LT_ANCHOR: "EP_EO_UI_5006",
    //2018.3.14追加新布局PC端
    LT_ROW: "EP_EO_UI_5101",
    LT_COL: "EP_EO_UI_5102",

    //打印部分
    PTROOT: "EP_EO_PT_0001",
    PTGROUP: "EP_EO_PT_0003",
    PTTEXT: "EP_EO_PT_2001",
    PTTABLE: "EP_EO_PT_3001",
    PTTABLEHEADER: "EP_EO_PT_3101",
    PTTABLEBODY: "EP_EO_PT_3102",
    PTTABLEFOOTER: "EP_EO_PT_3103"

};

export { AllCompGUID };