import React from 'react';
import ReactDOM from 'react-dom';
import { Form, Input,Card,Col,Row } from 'antd';
import { sgiFormCtlBaseFun } from "./sgiFormCtlBaseFun";
const FormItem = Form.Item;
import { bindValue, bindEvent, setFormCtlLayout, AddFormCtlCommonAttribute } from './sgiFormCtlComm'
import  {StandardCode} from '../sgiCommon/StandardCode';

// import { Editor } from 'react-draft-wysiwyg';
// import 'react-draft-wysiwyg/dist/react-draft-wysiwyg.css';



class SgiEditor extends React.Component {

    static defaultProps = {
    };  // 注意这里有分号
    static propTypes = {
    };  // 注意这里有分号

    constructor(props) {
        super(props);

        //初始化state属性
        this.initState();
        this.state.store = []; //下拉框内容
        var { panelModule, moduleDesc, bdInst, objFct, type } = this.props;
        //组装属性 初始化属性到this.state
        this.steps_mk(panelModule, moduleDesc, bdInst, objFct, type);
    }

    /**
     * 根据描述创建文本框
     * @param {父组件} panelModule
     * @param {组件描述} moduleDesc
     * @param {绑定实例ID} bdInst
     * @param {当前工作区} ws
     * @param {make类型} type
     */
    steps_mk(panelModule, moduleDesc, bdInst, workspace, type) {

        //获取需要展示的数据信息
        var moduleDesc = this.props.moduleDesc;
        if (!moduleDesc) {
            return;
        }
        //组装下拉框内容
        // this.fitSelectOption(moduleDesc);
        //转换基础属性
        // this.AddInputAttribute(moduleDesc, this.state.formItemProps, this.state.inputprops);
        //转换form公共属性
        // AddFormCtlCommonAttribute(this, moduleDesc, this.state.formItemProps, this.state.inputprops);
        //设置布局
        // setFormCtlLayout(moduleDesc, this.state.formItemProps, this.state.inputprops);
        //绑定事件
        // bindEvent(this, moduleDesc, this.state.formItemProps, this.state.inputprops);
        //绑定值
        // bindValue(this, moduleDesc, bdInst, this.state.formItemProps, this.state.inputprops);
    }

    /**
     * 组装下拉框内容
     * @param {描述} moduleDesc 
     */
    fitSelectOption(moduleDesc) {

 

        
    }

    /**
     * 属性转换
     * @param {描述信息} moduleDesc
     * @param {属性} formItem
     * @param {属性} inputprops
     */
    AddInputAttribute(moduleDesc, formItem, inputprops) {
        //csstyle 样式文件?这个我还不知道怎么用
        // var csstyle = moduleDesc.csstyle;

        var current = moduleDesc.current;
        if(current)inputprops.current = current;
        //点状步骤条
        var progressDot = moduleDesc.progressDot;
        if(progressDot)inputprops.progressDot = progressDot;

        //步骤条方向
        var direction = moduleDesc.direction;
        if(direction)inputprops.direction = direction;
 
       
    }
    imageUploadCallBack = file => new Promise(
        (resolve, reject) => {
            const xhr = new XMLHttpRequest(); // eslint-disable-line no-undef
            xhr.open('POST', 'https://api.imgur.com/3/image');
            xhr.setRequestHeader('Authorization', 'Client-ID 8d26ccd12712fca');
            const data = new FormData(); // eslint-disable-line no-undef
            data.append('image', file);
            xhr.send(data);
            xhr.addEventListener('load', () => {
                const response = JSON.parse(xhr.responseText);
                resolve(response);
            });
            xhr.addEventListener('error', () => {
                const error = JSON.parse(xhr.responseText);
                reject(error);
            });
        }
    );

    //渲染并返回一个虚拟DOM
    render = function () {
        return (
           
            // <div>

    // {/* <LzEditor
    //  active={true}
    //  importContent={this.state.rawContent}
    //  cbReceiver={this.receiveRaw}
    //  uploadConfig={uploadConfig}
    //  image={false}
    //  video={false}
    //  audio={false}
    //  convertFormat="raw"/>
    // </div> */}
   
    <div className="gutter-box">
     <Card title="富文本编辑器" bordered={false} >
    {/* <Editor 
       // editorState={editorState}
        // toolbarClassName="home-toolbar"
        // wrapperClassName="home-wrapper"
        // editorClassName="home-editor"
      //  onEditorStateChange={this.onEditorStateChange}
      
        // toolbar={{
        //     history: { inDropdown: true },
        //     inline: { inDropdown: false },
        //     list: { inDropdown: true },
        //     textAlign: { inDropdown: true },
        //     image: { uploadCallback: this.imageUploadCallBack },
        // }}
      //  onContentStateChange={this.onEditorChange}
        // placeholder="请输入正文~~尝试@哦，有惊喜"
        // spellCheck
        // onFocus={() => {console.log('focus')}}
        // onBlur={() => {console.log('blur')}}
        // onTab={() => {console.log('tab'); return true;}}
        // localization={{ locale: 'zh', translations: {'generic.add': 'Test-Add'} }}
        // mention={{
        //     separator: ' ',
        //     trigger: '@',
        //     caseSensitive: true,
        //     suggestions: [
        //         { text: 'A', value: 'AB', url: 'href-a' },
        //         { text: 'AB', value: 'ABC', url: 'href-ab' },
        //         { text: 'ABC', value: 'ABCD', url: 'href-abc' },
        //         { text: 'ABCD', value: 'ABCDDDD', url: 'href-abcd' },
        //         { text: 'ABCDE', value: 'ABCDE', url: 'href-abcde' },
        //         { text: 'ABCDEF', value: 'ABCDEF', url: 'href-abcdef' },
        //         { text: 'ABCDEFG', value: 'ABCDEFG', url: 'href-abcdefg' },
        //     ],
        // }}
    /> */}
     {/* <style>{`
                                    .home-editor {
                                        min-height: 300px;
                                    }
                                `}</style> */}

    {/* <Editor 
       
        // editorState={editorState}
        wrapperClassName="demo-wrapper"
        editorClassName="demo-editor"
        spellCheck
        placeholder="请输入正文~~尝试@哦，有惊喜"
        toolbar={{
            history: { inDropdown: true },
            inline: { inDropdown: false },
            list: { inDropdown: true },
            textAlign: { inDropdown: true },
            // image: { uploadCallback: this.imageUploadCallBack },
        }}
        // onEditorStateChange={this.onEditorStateChange}
      /> */}



    </Card>
    </div>
  




        );
    }
}
//给类添加公共方法
Object.assign(SgiEditor.prototype, sgiFormCtlBaseFun);
export { SgiEditor };
