
import { SgiCardEO } from './SgiCardEO';
import { SgiFormTextEO } from './SgiFormTextEO';
import { SgiFormTextAreaEO } from './SgiFormTextAreaEO';
import { SgiFormInputNumberEO } from './SgiFormInputNumberEO';
import { SgiFormTimeEO } from './SgiFormTimeEO';
import { SgiFormDateEO } from './SgiFormDateEO';
import { SgiButtonEO } from './SgiButtonEO';
import { AllCompGUID } from '../sgiComp/SgiCompConstant';

var sgiCreateEO = function (mdType) {
    let compEO;
    if (mdType === AllCompGUID.UCV) { //主main

    } else if (mdType === AllCompGUID.WV) {//form

    } else if (mdType === AllCompGUID.SPLITTER) {//分割窗

    } else if (mdType === AllCompGUID.TAB) {//tab

    } else if (mdType === AllCompGUID.CARD) { //card
        compEO = SgiCardEO();
    } else if (mdType === AllCompGUID.ACCORDION) { //折叠面板

    } else if (mdType === AllCompGUID.FIELDSET) { //组控件

    } else if (mdType === AllCompGUID.PANEL) { //普通面板

    } else if (mdType === AllCompGUID.NEST) {//嵌入面板

    } else if (mdType === AllCompGUID.TPL) { //模板

    } else if (mdType === AllCompGUID.CONTAINER) {//自定义面板

    } else if (mdType === AllCompGUID.DVPANEL) {//DVPANEL

    } else if (mdType === AllCompGUID.DU) {

    } else if (mdType === AllCompGUID.FLOATWINDOW) { //浮动面板

    } else if (mdType === AllCompGUID.MENU) {//菜单

    }
    /**
     * 创建基本控件
     * 创建方法 创建物理控件。
     */
    else if (mdType === AllCompGUID.FIELDTEXT) { //文本框
        compEO = SgiFormTextEO;
    } else if (mdType === AllCompGUID.NUMBER) { //数字控件
        compEO = SgiFormInputNumberEO;
    } else if (mdType === AllCompGUID.COMBOBOX) { //下拉框

    } else if (mdType === AllCompGUID.COMBOXTREE) {//下拉树

    } else if (mdType === AllCompGUID.COMBOXGRID) {//下拉表格

    } else if (mdType === AllCompGUID.RADIOGROUP) {//单选框

    } else if (mdType === AllCompGUID.CHECKBOXGROUP) {//单选框

    } else if (mdType === AllCompGUID.TIME) {//时间
        compEO = SgiFormTimeEO();
    } else if (mdType === AllCompGUID.DATE) {//日期
        compEO = SgiFormDateEO();
    } else if (mdType === AllCompGUID.FILE) {//文件

    } else if (mdType === AllCompGUID.UPLOADFILE) {//上传

    } else if (mdType === AllCompGUID.TEXTAREA) {//文本域
        compEO = SgiFormTextAreaEO;
    } else if (mdType === AllCompGUID.EDITORAREA) {//富文本

    } else if (mdType === AllCompGUID.BUTTON) {//按钮
        compEO = SgiButtonEO();
    } else if (mdType === AllCompGUID.CHECKBOX) {//checkbox

    } else if (mdType === AllCompGUID.COLOR) {

    } else if (mdType === AllCompGUID.FONT) {

    } else if (mdType === AllCompGUID.PASSWORD) {//密码

    } else if (mdType === AllCompGUID.MONETARYTEXT) {  //金额控件

    } else if (mdType === AllCompGUID.TOOLBAR) {  //工具条

    } else if (mdType === AllCompGUID.TBFILL) {  //工具条占位符

    } else if (mdType === AllCompGUID.POPUI) {  //弹出窗

    } else if (mdType === AllCompGUID.EDITOR) {  //弹出窗

    } else if (mdType === AllCompGUID.TREE) {

    } else if (mdType === AllCompGUID.TABLE) {

    } else if (mdType === AllCompGUID.LINE) { //折线图

    } else if (mdType === AllCompGUID.AREA) { //面积图

    } else if (mdType === AllCompGUID.BAR) { //条形图

    } else if (mdType === AllCompGUID.SCATTER) { //散点图

    } else if (mdType === AllCompGUID.PIE) { //饼图

    } else if (mdType === AllCompGUID.GAUGE) { //表盘图

    } else if (mdType === AllCompGUID.RADAR) { //雷达图

    } else if (mdType === AllCompGUID.PROGRESSBAR) { //进度条

    } else if (mdType === AllCompGUID.IMG) { //图片控件

    } else if (mdType === AllCompGUID.LABEL) { //标签控件

    } else if (mdType === AllCompGUID.FIELDDISPLAY) { //只读文本控件

    } else if (mdType === AllCompGUID.COMPONENT) { //自定义标签

    } else if (mdType === AllCompGUID.STATBUTTON) { //状态按钮

    } else if (mdType === AllCompGUID.STEP) { //步骤控件

    } else if (mdType === AllCompGUID.MONETARY2TEXT) {  //金额控件

    } else if (mdType === AllCompGUID.PASSWORDSTRENGTH) {  //密码强度控件//增加密码强度控件20170928-wangj

    } else if (mdType === AllCompGUID.ITEM) {  //

    } else if (mdType === AllCompGUID.DIVCOMBOBOX) {  //自定义下拉窗

    }
    //创建布局
    else if (mdType === AllCompGUID.LT_ROW) { //文本框

    } else if (mdType === AllCompGUID.LT_COL) { //数字控件

    }
    return compEO;
}

export { sgiCreateEO };
