'use strict';

import React from 'react';
import ReactDOM from 'react-dom';
import { updateUIJson } from './DndDispatch';
import { getCommAttEditor, getFunEditor, getShowEditor } from './Dnd_SgiFormEditorCommon';

class Dnd_SgiFormTextEditor extends React.Component {

    constructor(props) {
        super(props);
        this.state = { loading: false };
        // this.state.values = this.props.values;
        // console.log(this.state.values);
    }

    refresh() {
        this.setState({ loading: false });
    }

    setValues(values) {
        this.setState(values);
    }


    refresh(attname, value) {
        this.state.values[attname] = value;
        this.setState({ loading: false });

        let currentCtl = this.props.currentCtl;
        var { panelModule, moduleDesc, bdInst, objFct, type } = currentCtl.props;
        moduleDesc[attname] = value;
        //组装属性 初始化属性到this.state
        currentCtl.refs.Dnd_SgiFormText_SgiFormText.refresh();
        // currentCtl.fieldCtl_mk(panelModule, moduleDesc, bdInst, objFct, type);
        // currentCtl.setState({ loading: false });

        //修改描述信息
        updateUIJson(moduleDesc.dnd_id, attname, value);
    }

    render() {
        this.state.values = this.props.values;
        let attEditor = getCommAttEditor(this);
        let funEditor = getFunEditor(this);
        let showEditor = getShowEditor(attEditor, funEditor);
        return (
            <div style={{ height: '500px', overflow: 'auto' }}>
                {showEditor}
            </div>
        )
    }
}

export { Dnd_SgiFormTextEditor };