/*  
 通讯出口
 归属：企通前端平台-ECP V5.1
 版权：2014-2020 企通软件技术有限公司
 --------------------------------------------------------------------------------
 作者：刘鑫                           创建日期：2018/03/22
 修改：                               修改日期：
 修改内容
 --------------------------------------------------------------------------------
 
 *******************************************************************************/
import $ from 'jquery';

var sgiUrl = {
	pf: "http://100.1.1.22:8088/pf",
	service: "http://localhost:8080"
}

var sgiPfClient = {

	restcall: function (url, method, datas, async, success, failure, callback) {
		url = url || 'http://pf.server.com/pf/prm';
		async = async || false;
		datas = datas || {};

		var result = undefined;
		var successfunc = function (res) {
			result = res;
			if (success) {
				success(res);
			}
		}
		sgiClient.jqueryAjax(url, method, datas, async, successfunc, failure, callback);
		return result;
	}

}

var sgiClient = {

	restcall: function (url, method, datas, async, success, failure, callback) {
		url = url || '';
		async = async || false;
		datas = datas || {};

		this.jqueryAjax(url, method, datas, async, success, failure, callback);
	},

	jqueryAjax: function (url, method, datas, async, success, failure, callback) {
		method = method.toUpperCase() || 'POST';
		$.ajax({
			type: method,
			async:async,
			url: url,
			data: datas,
			success: success,
			error: failure,
			complete: callback,
			// dataType: 'json'
		});
	},

	ajax: function (url, method, datas, async, success, failure, callback) {
		try {
			method = method.toUpperCase() || 'POST';
			url = url || '';
			async = async || false;
			datas = datas || {};
			success = success || function () { };
			failure = failure || function () { };
			callback = callback || function () { };

			var xmlHttp = null;
			if (XMLHttpRequest) {
				xmlHttp = new XMLHttpRequest();
			} else {
				xmlHttp = new ActiveXObject('Microsoft.XMLHTTP');
			}
			xmlHttp.withCredentials = true;
			xmlHttp.onreadystatechange = function () {
				if (xmlHttp.readyState == 4 && xmlHttp.status == 200) {
					success(xmlHttp.responseText);
				} else {
					failure(xmlHttp.responseText);
				}
				callback(xmlHttp.responseText);
			};

			var params = [];
			params.push("_method=" + method);
			for (var key in datas) {
				params.push(key + '=' + datas[key]);
			}
			var req = params.join('&');
			if (method.toUpperCase() === 'GET') {
				//xmlHttp.open('GET', url + '?' + req, async);
				//xmlHttp.send(null);
				xmlHttp.open('GET', url, async);
				xmlHttp.send(req);
			} else {
				xmlHttp.open('POST', url, async);
				xmlHttp.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded;charset=utf-8');
				xmlHttp.send(req);
			}
		} catch (e) {

		}
	}
}

export { sgiUrl, sgiClient, sgiPfClient }