/**
 * 容器组件的公共方法
 * wangz
 * 2018.3.9
 */

/**
* 属性转换
* @param {描述信息} moduleDesc
* @param {属性} formProps
*/
var addCtnCommonAttribute = function (currentModule, moduleDesc, ctnProps) {
    var cId = moduleDesc.cId; //cid 唯一标示
    if (cId) ctnProps.id = cId;

    var ctlW = moduleDesc.ctlW; //form宽度
    if (ctlW) ctnProps.style.width = ctlW;

    var ctlH = moduleDesc.ctlH; //form高度
    if (ctlH) ctnProps.style.height = ctlH;

    var isBrdr = moduleDesc.isBrdr; //form是否有边框??没实现
    if (isBrdr) {
        ctnProps.style.border = "1px solid rgb(217, 217, 217)";/*边线宽度 类型 颜色*/;
    } else {
        ctnProps.style.border = undefined;
    }

    var mgn = moduleDesc.mgn; //form外边距
    if (mgn) ctnProps.style.margin = mgn;
    var pad = moduleDesc.pad; //form内边距
    if (pad) ctnProps.style.padding = pad;

    var isHdn = moduleDesc.isHdn; //form是否隐藏
    if (isHdn) {
        ctnProps.style.display = "none";
    } else {
        ctnProps.style.display = undefined;
    }

    var isScl = moduleDesc.isScl; //form是否可以滚动
    if (isScl){
        ctnProps.style.overflow = "auto";
    } else {
        ctnProps.style.overflow = undefined;
    }
}

export { addCtnCommonAttribute };
