import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { DragSource } from 'react-dnd';
import { DropTarget } from 'react-dnd'
import { SgiButton } from '../sgiComp/SgiButton';
import { SgiButtonEO } from '../sgiCompEO/SgiButtonEO'
import * as DndDispatch from './DndDispatch'
import { addTabCtlDndInfoForDnd } from './sgiDndDevComFun'

function getStyle() {
	return {
		// minHeight: '200px',
		// maxWidth: '100px',
		// width: '100px',
		// height: '100%',
		// padding: '2px',
		// color: 'red',
		padding: '2px',
		display: 'inline-block',
		// lineHeight: '0px',
		// textAlign: 'left',
		border: '1px dashed grey'
	}
}

class Dnd_SgiButton extends Component {
	constructor(props) {
		super(props);

		//初始化state属性
		this.state = {
			loading: false,
			desid: '',
			sonItems: this.props.children ? this.props.children : [],
			hover: false,
			style: getStyle(),
			toggleHover: {}
		};

		let { moduleDesc } = this.props;
		if (moduleDesc) {
			this.state.moduleDesc = moduleDesc
		} else {
			this.state.moduleDesc = SgiButtonEO();
		}
		addTabCtlDndInfoForDnd(this, this.state.toggleHover, this.props.type);
	}


	render() {
		return (
			<div style={{ ...this.state.style }} {...this.state.toggleHover}>
				{/* {this.props.comp_explain ? this.props.comp_explain : null} */}
				<SgiButton ref={'Dnd_SgiButton_SgiButton'} moduleDesc={this.state.moduleDesc} panelModule={this.props.panelModule} type={this.props.type}>
					{/* {this.state.sonItems} */}
				</SgiButton>
			</div >
		)
	}
}


export default Dnd_SgiButton;