window.ComponentManager = {
    all: {},
    get: function (uid, id) {
        if (!uid || !id){
            return null;
        }
        let uidCompMng = this.all[uid];
        if (!uidCompMng){
            return null;
        }
        let comp = uidCompMng[id];
        return comp;
    },
    set: function (uid, id, component) {
        if (!uid || !id || !component){
            return null;
        }
        let uidCompMng = this.all[uid];
        if (!uidCompMng){
            uidCompMng = {};
            this.all[uid] = uidCompMng;
        }
        uidCompMng[id] = component;
    }
}

export {ComponentManager}
